# add security compilation flags there

GXX_SECURITY_FLAGS = \
                     -Wwrite-strings \
                     -fPIC \
                     -pthread \
                     -fstack-protector \
                     -fstack-clash-protection \
                     -pie -fPIE \
                     -D_FORTIFY_SOURCE=2 -O2 -Wl,-z,now \
                     -Wformat -Wformat-security

#                     -fstack-protector \
#                     -fstack-clash-protection \
#                     -fstack-protector-strong \
#                     -Wwrite-strings -fPIC \
#                     -fno-builtin-memset \
#                     -pie \
#                     -fPIE \
#                     -O2 -D_FORTIFY_SOURCE=2 \
#                     -Wl,-z,relro \
#                     -Wl,-z,now \
#                     -Wall -Wformat -Wformat=2 -Wformat-security \
#                     -fno-builtin -fno-builtin-function \
#                     -D_GLIBCXX_ASSERTIONS \
#                     -Wl,-z,nodlopen -Wl,-z,noexecstack \
#                     -Wl,--as-needed -Wl,--no-copy-dt-needed-entries


EXTRA_CXX_FLAGS += ${GXX_SECURITY_FLAGS}

